Update conversation attachment
Server:
https://{kibana_url}
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
Update an attachment content. Creates a new version if content changed.
[Required authorization] Route required privileges: agentBuilder:read.
Path Parameters
-
conversation_idstring · max: 256required -
The unique identifier of the conversation.
-
attachment_idstring · max: 256required -
The unique identifier of the attachment to update.
Request
-
dataobjectrequired -
The new attachment data/content.
-
descriptionstring · max: 2048 -
Optional new description for the attachment.
-
render_inlineboolean · default: false -
When true, the attachment is rendered inline in the UI when the conversation is opened, without the agent referencing it.
Response
200
application/json
Indicates a successful response